Bug 1255598 - IPv6 disabled by default when control-center creates a new WWAN connection
IPv6 disabled by default when control-center creates a new WWAN connection
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-21 01:25 EDT by Tore Anderson
Modified: 2016-12-20 09:26 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:26:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tore Anderson 2015-08-21 01:25:30 EDT
Description of problem:

When creating a new WWAN connection using the network management menu in the top-right corner of the GNOME GUI (not sure exactly what it's called specifically), the newly created connection profile has the IPv6 method set to "ignore". This obviously breaks IPv6 connectivity, and causes the overall connection to fail.

Version-Release number of selected component (if applicable):

control-center-3.17.3-1.fc23.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Ensure you don't have any pre-existing WWAN connection profiles
2. Plug in a modem with working SIM card
3. Ensure Mobile Broadband is enabled
4. Select the option to connect to mobile broadband from the GNOME menu
5. Complete the wizard

Actual results:

The resulting new connection profile config file in /etc/NetworkManager/system-connections/ contains:

[ipv6]
method=ignore

If the operator/apn in question is ipv6-only, total failure to connect.

Expected results:

The file should have contained:

[ipv6]
method=auto

Connection should succeed even if operator/apn is ipv6-only.

Additional info:

If you instead create the new WWAN connection using nm-connection-editor, the IPv6 method is set to "auto" by default, and IPv6 works fine by default (assuming the operator/apn supports it). The same is true if you create it from the command line using for example "nmcli con add ifname '*' type gsm apn internet".

A very similar bug was recently fixed in nm-applet, see bug #1221391.
Comment 1 Fedora End Of Life 2016-11-24 07:21:20 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 09:26:56 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.